Kerbal Space Program - Feature #315

Sticky Info on Map Mode
03/09/2013 02:25 AM - purpletarget

Status: Closed % Done: 100%
Severity: Low

Assignee:

Category: Controls and Ul

Target version:

Platform: Windows Mod Related: No
Expansion:

Description

Map Mode, allow option to make specific data information sticky, perhaps with a right click command.

Currently while working in map mode, all data for things like lat/long of landed objects, orbital info of flight objects, Pe/Ap altitudes for

objects and maneuver nodes are available only on mouse over.

Request right click or similar function so that the data can be toggled as visible, even as mouse moves elsewhere. Will make Ul less
cumbersome, especially when working with Maneuver Node system as mouse is required for manipulation of the node. Enabling
instantaneous feedback on the specifics of an Ap/Pe for example when changing a node, or even burning, would be a superior Ul

design.

History

#1 - 05/22/2013 10:56 PM - purpletarget

Partial Implementation in 0.20, functionality for Ap/Pe only.

Landed Objects, An/Dn, Intercept Markers, still remain.

Ap/Pe implementation in 0.20 is very simple and clean. Kudos.

#2 - 07/17/2016 06:10 PM - Claw

- Status changed from New to Closed
- % Done changed from 0 to 100

- Veersion set to Not Applicable

- Platform Windows added

I think all these are done now (maybe not AN/DN?). If not, a new writeup would be better.
